Bug 136509 - Red Hat NIS master does not send YP_NOMAP
Red Hat NIS master does not send YP_NOMAP
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypserv (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 12:35 EDT by Chris Williams
Modified: 2015-01-07 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 19:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
expected results (4.03 KB, application/pdf)
2004-10-20 12:37 EDT, Chris Williams
no flags Details
failing results (2.23 KB, application/pdf)
2004-10-20 12:37 EDT, Chris Williams
no flags Details
customer's patch (303 bytes, patch)
2004-10-20 12:44 EDT, Chris Williams
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:352 normal SHIPPED_LIVE ypserv bug fix update 2005-05-19 00:00:00 EDT

  None (edit)
Description Chris Williams 2004-10-20 12:35:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Red Hat NIS master does not send YP_NOMORE

Attached are two PDFs that demonstrate the problem of when it works
and when it doesn't.  In both cases, the NIS client is Solaris 8 and
the NIS Server is RedHat Enterprise Linux 3.

The customer's recommended patch is attached as well.

Version-Release number of selected component (if applicable):
ypserv-2.8-9

How reproducible:
Always

Steps to Reproduce:
Steps to Reproduce:
1. Setup Solaris & Linux Slave NIS servers.
2. Select a small nis map (such as auto.master)
3. Start packet sniffer when nis client is bound to Solaris ypserv
4. Perform 'ypcat auto.master' on client (or similar map)
5. Stop packet sniffer
6. rebind client to Linux box
7. Restart packet sniffer
8. Perform 'ypcat auto.master' again.
9. Stop sniffer
10. Compare the responses to 'yp_all' for the auto.master map
11. Notice the Linux one is missing the final record.
    

Expected Results:  Red Hat NIS Master should send YP_NOMORE

Additional info:
Comment 1 Chris Williams 2004-10-20 12:37:14 EDT
Created attachment 105521 [details]
expected results
Comment 2 Chris Williams 2004-10-20 12:37:53 EDT
Created attachment 105523 [details]
failing results
Comment 3 Chris Williams 2004-10-20 12:44:45 EDT
Created attachment 105527 [details]
customer's patch
Comment 4 Steve Dickson 2004-10-20 12:59:33 EDT
fixed in ypserv-2.8-9
Comment 6 Steve Dickson 2005-01-19 13:30:12 EST
Chris,

would you mind taking a look at this... I'm pretty sure I fixed this...

tia
Comment 8 Chris Feist 2005-01-20 12:04:42 EST
Where is the problem?  Between the yp slave and the client, or the yp
master and the yp slave?

I don't see a YP_NOMORE in the .pdf which contains the expected results.
Comment 12 Chris Feist 2005-03-14 15:27:41 EST
I've replicated the problem, fixed & tested the fix.  Just waiting for
verification from steved before commiting to the tree.  This should
appear in RHEL3U6.
Comment 13 Chris Feist 2005-03-15 15:19:36 EST
This is fixed in ypserv-2.8-13 and should be in RHEL3U6.
Comment 14 David Mahder 2005-03-23 17:52:57 EST
Chris,

Do you have an estimate on RHEL3U6 release.

thanks,
dave mahder
Comment 15 Chris Williams 2005-03-23 17:55:00 EST
RHEL3 U6 is scheduled for release mid August. 
Comment 16 Chris Feist 2005-03-24 10:59:39 EST
A *test* version of the ypserv with the fixes is available at
http://people.redhat.com/cfeist/ypserv/
Comment 17 Tim Powers 2005-05-19 19:34:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-352.html

Note You need to log in before you can comment on or make changes to this bug.